Listar provedor de pagamento do comerciante
curl --request GET \
--url https://api.example.com/v1/merchants/{merchantId}/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/merchants/{merchantId}/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/merchants/{merchantId}/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"merchant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"provider": {
"id": "e71f2762-e4c4-4ef6-8764-02b97f347ec4",
"name": "Getnet SEP",
"code": "getnetSep",
"type": "Gateway",
"environment": "Digital",
"resolutionKey": "<string>"
},
"code": "getnetSep",
"name": "Getnet SEP",
"priority": 1,
"methods": [
"Credit"
],
"enabledMethods": [
{
"name": "Dinheiro",
"type": "Cash",
"environment": "Physical"
}
],
"state": "Enabled",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentials": {
"type": "GETNET_SEP",
"sellerId": "2921abbe-fb28-427c-882e-2258d98b4b39",
"clientApiKey": "da52e0c1-d87d-46e2-b7f2-fc4cd9f6a8d3",
"clientSecret": "8186a258-d2ab-4275-8349-34884f1b882e"
},
"acquirer": {
"merchantId": "2921abbe-fb28-427c-882e-2258d98b4b39",
"brands": [
"Mastercard",
"Visa"
]
},
"attributes": {
"externalId": "123456"
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"keyset": "<string>",
"count": 123,
"totalCount": 123
}
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "<string>",
"target": "<string>",
"message": "<string>"
}
]
}Providers
Listar provedor de pagamento do comerciante
Lista os provedor de pagamento do comerciante aplicando os filtros informados.
GET
/
v1
/
merchants
/
{merchantId}
/
providers
Listar provedor de pagamento do comerciante
Parâmetros de caminho
Identificador da comerciante
Parâmetros de consulta
Número de registros a serem retornados
Exemplo:
50
Número do começo de registros a serem retornados.
Nota: Limitado a 10.000 registros. Recomendamos a utilização do keyset para paginação continua.
Exemplo:
0
Identificador usado para paginação baseada em cursor.
Nota: Somente será considerado caso o valor do campo offset seja 0.
Exemplo:
"cGl0OmJXRnBibDlwYm1SbGVDNXdjbWx0WVhKNTpbMTcwMDAwMDAwMDAwMF0="
Filtra pelos estados dos provedores de pagamento
Opções disponíveis:
enabled, disabled Exemplo:
["Enabled"]
Esta página foi útil?
⌘I